Summary:	Ruby Qt4 bindings
Name:		ruby-qt4
Version:	4.14.3
Release:	1
Epoch:		1
License:	GPLv2+ and LGPLv2.1+
Group:		Development/KDE and Qt
Url:		http://www.kde.org
%define is_beta %(if test `echo %version |cut -d. -f3` -ge 70; then echo -n 1; else echo -n 0; fi)
%if %{is_beta}
%define ftpdir unstable
%else
%define ftpdir stable
%endif
Source0:	ftp://ftp.kde.org/pub/kde/%{ftpdir}/%{version}/src/qtruby-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	kde4-macros
BuildRequires:	ruby
BuildRequires:	kdelibs4-devel
BuildRequires:	qscintilla-qt4-devel
BuildRequires:	ruby-devel
BuildRequires:	smokeqt-devel >= 1:%{version}
BuildRequires:	pkgconfig(phonon)

%description
A Qt4 bindings for Ruby language.

%files
%doc COPYING COPYING.LIB README TODO AUTHORS ChangeLog
%{_kde_bindir}/rbqtapi
%{ruby_sitearchdir}/qscintilla.so
%{ruby_sitearchdir}/qtdeclarative.so
%{ruby_sitearchdir}/qtruby4.so
%{ruby_sitearchdir}/qtuitools.so
%{ruby_sitearchdir}/qtwebkit.so
%{ruby_sitearchdir}/qtscript.so
%{ruby_sitearchdir}/qttest.so
%{ruby_sitearchdir}/phonon.so
%{ruby_sitelibdir}/Qt.rb
%{ruby_sitelibdir}/Qt3.rb
%{ruby_sitelibdir}/Qt4.rb
%{ruby_sitelibdir}/Qt
%{ruby_sitelibdir}/qscintilla
%{ruby_sitelibdir}/qtdeclarative
%{ruby_sitelibdir}/qtuitools
%{ruby_sitelibdir}/qtwebkit
%{ruby_sitelibdir}/qtscript
%{ruby_sitelibdir}/qttest
%{ruby_sitelibdir}/phonon

#------------------------------------------------------------

%define libqtruby4shared_major 2
%define libqtruby4shared %mklibname qtruby4shared %{libqtruby4shared_major}

%package -n %{libqtruby4shared}
Summary:	Qt generic bindings library
Group:		Development/KDE and Qt

%description -n %{libqtruby4shared}
Qt generic bindings library.

%files -n %{libqtruby4shared}
%{_kde_libdir}/libqtruby4shared.so.%{libqtruby4shared_major}*

#------------------------------------------------------------

%package devel
Summary:	Header files for ruby-qt4
Group:		Development/KDE and Qt
Requires:	ruby-qt4 = %{EVRD}
Requires:	%{libqtruby4shared} = %{EVRD}

%description devel
ruby-qt4 devel files.

%files devel
%{_kde_bindir}/rbrcc
%{_kde_bindir}/rbuic4
%{_kde_libdir}/libqtruby4shared.so
%{_kde_includedir}/qtruby
%{_kde_datadir}/qtruby4/cmake/*.cmake

#------------------------------------------------------------

%prep
%setup -qn qtruby-%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.14.3-1
+ Revision: ca1ea43
- LOG New version 4.14.3 (sync spec and patches with Cooker)


